package com.example.demo.controller;

import com.example.demo.common.ResponseBean;
import com.example.demo.mapper.ArticleMapper;
import com.example.demo.model.Article;
import jakarta.annotation.Resource;

import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/article")
public class ArticleController {
    @Resource
    private ArticleMapper articleMapper;



    @PostMapping
    public ResponseBean<Object> addUser(@RequestBody Article article) {
        int insert = articleMapper.insert(article);
        return ResponseBean.success(insert);
    }

    @GetMapping
    public Article get(@RequestParam Integer id) {
        return articleMapper.selectById(id);
    }


    @DeleteMapping
    public ResponseBean<Object> delete(@RequestParam Integer id) {
        int insert = articleMapper.deleteById(id);
        return ResponseBean.success(insert);
    }

    @PutMapping
    public ResponseBean<Object> updateUser(@RequestBody Article user) {

        int update = articleMapper.updateById(user);
        return ResponseBean.success(update);

    }


}
